Bug 1252235 - [origin_platformmanagement_349]"Add user1 and user2 to my-group" should be "Remove user1 and user2 from my-group" in "oadm groups remove-users " help info message
[origin_platformmanagement_349]"Add user1 and user2 to my-group" should be "R...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: David Eads
Yan Du
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 23:43 EDT by Wei Sun
Modified: 2016-05-12 13:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:13:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2015-08-10 23:43:30 EDT
Description of problem:
Run `oadm groups remove-users -h`,in the help info message,there is "%[1]s my-group user1 user2 my-group user1 user2"should be "oadm groups remove-users my-group user1 user2"

Version-Release number of selected component (if applicable):
devevn_fedora_2136

$oadm version
oadm v1.0.4-161-g6a0370a
kubernetes v1.1.0-alpha.0-1155-gb73c53c

How reproducible:
Always

Steps to Reproduce:
1.Run `oadm groups remove-users -h`
2.
3.

Actual results:
 oadm groups remove-users -h
Remove users from a group.

This command will remove users from the list of members for a group.

Usage:
  oadm groups remove-users GROUP USER [USER ...] [options]

Examples:
  // Add user1 and user2 to my-group
  $   // Remove user1 and user2 from my-group
  $ %[1]s my-group user1 user2 my-group user1 user2

Use "oadm options" for a list of global command-line options (applies to all commands).

Expected results:
%[1]s my-group user1 user2 my-group user1 user2"should be ""oadm groups remove-users my-group user1 user2"

Additional info:
Comment 1 David Eads 2015-08-11 07:50:54 EDT
https://github.com/openshift/origin/pull/4106
Comment 2 David Eads 2015-08-11 07:51:41 EDT
It is now


[deads@deads-dev-01 origin]$ oadm groups remove-users --help
Remove users from a group.

This command will remove users from the list of members for a group.

Usage:
  oadm groups remove-users GROUP USER [USER ...] [options]

Examples:
  // Add user1 and user2 to my-group
  $ oadm groups remove-users my-group user1 user2

Use "oadm options" for a list of global command-line options (applies to all commands).
Comment 3 Wei Sun 2015-08-11 22:20:21 EDT
The comments "// Add user1 and user2 to my-group" should be "//Remove user1 and user2 from my-group".
Comment 4 David Eads 2015-08-17 15:42:02 EDT
Which build are you on?

[deads@deads-dev-01 origin]$ oadm groups remove-users --help
Remove users from a group.

This command will remove users from the list of members for a group.

Usage:
  oadm groups remove-users GROUP USER [USER ...] [options]

Examples:
  // Add user1 and user2 to my-group
  $ oadm groups remove-users my-group user1 user2

Use "oadm options" for a list of global command-line options (applies to all commands).


[deads@deads-dev-01 origin]$ oadm version
oadm v1.0.4-324-g415809c
kubernetes v1.1.0-alpha.0-1605-g44c91b1
Comment 5 Wei Sun 2015-08-17 21:57:46 EDT
I mean now doesn't show "%[1]s",but it is confuse the comment is saying "add user" but the command is saying "remove"
Examples:
  // Add user1 and user2 to my-group   
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  $ oadm groups remove-users my-group user1 user2

should be
  //Remove user1 and user2 from my-group
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  $oadm groups remove-users my-group user1 user2


$ oadm version
oadm v1.0.4-292-g720c12f
kubernetes v1.1.0-alpha.0-1605-g44c91b1



(In reply to David Eads from comment #4)
> Which build are you on?
> 
> [deads@deads-dev-01 origin]$ oadm groups remove-users --help
> Remove users from a group.
> 
> This command will remove users from the list of members for a group.
> 
> Usage:
>   oadm groups remove-users GROUP USER [USER ...] [options]
> 
> Examples:
>   // Add user1 and user2 to my-group
>   $ oadm groups remove-users my-group user1 user2
> 
> Use "oadm options" for a list of global command-line options (applies to all
> commands).
> 
> 
> [deads@deads-dev-01 origin]$ oadm version
> oadm v1.0.4-324-g415809c
> kubernetes v1.1.0-alpha.0-1605-g44c91b1
Comment 6 Fabiano Franz 2016-01-13 12:21:39 EST
Fixed.
Comment 7 Wei Sun 2016-01-14 00:52:43 EST
Verified this bug.
$ oc version
oc v3.1.1.2
kubernetes v1.1.0-origin-1107-g4c8e6f4

Result:
$ oadm groups remove-users --help
Remove users from a group.

This command will remove users from the list of members for a group.

Usage:
  oadm groups remove-users GROUP USER [USER ...] [options]

Examples:
  # Remove user1 and user2 from my-group
  $ oadm groups remove-users my-group user1 user2

Use "oadm options" for a list of global command-line options (applies to all commands).

Note You need to log in before you can comment on or make changes to this bug.